> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flush Memory

> Force boundary detection over the current ``session_id`` buffer.

[OSS-only] — cloud edition decides boundary timing server-side and
does not expose this endpoint.



## OpenAPI

````yaml /api-reference/openapi-oss.json post /api/v1/memory/flush
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/memory/flush:
    post:
      tags:
        - memory
      summary: Flush Memory
      description: |-
        Force boundary detection over the current ``session_id`` buffer.

        [OSS-only] — cloud edition decides boundary timing server-side and
        does not expose this endpoint.
      operationId: flush_memory_api_v1_memory_flush_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemorizeFlushRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_FlushResponseData_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MemorizeFlushRequest:
      properties:
        session_id:
          type: string
          maxLength: 128
          minLength: 1
          title: Session Id
        app_id:
          type: string
          maxLength: 128
          minLength: 1
          pattern: ^[a-zA-Z0-9_.@+-]+$
          title: App Id
          default: default
        project_id:
          type: string
          maxLength: 128
          minLength: 1
          pattern: ^[a-zA-Z0-9_.@+-]+$
          title: Project Id
          default: default
      type: object
      required:
        - session_id
      title: MemorizeFlushRequest
    SuccessEnvelope_FlushResponseData_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/FlushResponseData'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[FlushResponseData]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FlushResponseData:
      properties:
        status:
          type: string
          enum:
            - extracted
            - no_extraction
          title: Status
      type: object
      required:
        - status
      title: FlushResponseData
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````